Thoughts, information and reflections about technology

Joomla end of life

If you have a site built on Joomla that is on a version prior to 1.5, you need to upgrade now.  Versions prior to Joomla 1.5 have reached their ‘end of life’ and are no longer supported. The current version as of Feb 2012 is Joomla 2.5.

Joomla 1.5 will be expiring soon. The transition from 1.5 to 1.6 is NOT an upgrade, it is a migration. This can be a fairly extensive effort in that all supporting extensions need to be migrated as well. There are tools such as jupgrade that can help with this process.

If you are running on a version that has reached it’s end of life, you probably have security holes that could be exploited by hackers.

As of Feb 12, the projected end of life timeframes are

 

  • version 1.5 – April 2012
  • version 1.6 – August 2011 – (you read that correctly. 1.6 was a short term release and is past it’s end of life)
  • version 1.7 – February 2012 – Yes, 1.7 is EOL before 1.5. However, the move to 2.5 or 2.5.1 is an upgrade, not a migration and should be less tricky than a 1.5 – 1.6/1.7/2.x upgrade
  • version 2.5.x – no EOL yet but there appears to be indications that the Joomla folks are shooting for a 6 month upgrade cycle.
In short, if you are running Joomla 1.5 or earlier, you should have your site migrated to 2.x
————————————————-
we provide joomla consulting services.

Similar Posts:

Leave a Reply

Your email address will not be published. Required fields are marked *

Contact me
Archives
Categories